VERSION 2.00
Begin Form sources_form 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "WAIS Sources"
   ClientHeight    =   5925
   ClientLeft      =   960
   ClientTop       =   735
   ClientWidth     =   7845
   Height          =   6330
   Left            =   900
   LinkMode        =   1  'Source
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5925
   ScaleWidth      =   7845
   Top             =   390
   Width           =   7965
   Begin SSPanel Panel3D2 
      Align           =   1  'Align Top
      Alignment       =   6  'Center - TOP
      BackColor       =   &H00C0C0C0&
      Caption         =   "Sources Available for Searching"
      Font3D          =   0  'None
      ForeColor       =   &H00000000&
      Height          =   2940
      Left            =   0
      Outline         =   -1  'True
      TabIndex        =   2
      Top             =   2475
      Width           =   7845
      Begin CommandButton add_all 
         Caption         =   "Add All"
         Height          =   375
         Left            =   6600
         TabIndex        =   11
         Top             =   1440
         Width           =   1125
      End
      Begin SSPanel Panel3D15 
         Alignment       =   6  'Center - TOP
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Caption         =   "Panel3D7"
         Font3D          =   1  'Raised w/light shading
         ForeColor       =   &H00000000&
         Height          =   405
         Left            =   1410
         Outline         =   -1  'True
         TabIndex        =   8
         Top             =   240
         Width           =   5145
         Begin ComboBox source_groups 
            Height          =   300
            Left            =   30
            Style           =   2  'Dropdown List
            TabIndex        =   9
            Top             =   60
            Width           =   5085
         End
      End
      Begin SSPanel Panel3D14 
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Caption         =   "Source Group"
         Font3D          =   0  'None
         ForeColor       =   &H00000000&
         Height          =   405
         Left            =   150
         Outline         =   -1  'True
         TabIndex        =   7
         Top             =   240
         Width           =   1275
      End
      Begin SSPanel Panel3D4 
         Alignment       =   6  'Center - TOP
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Caption         =   "Panel3D4"
         Font3D          =   1  'Raised w/light shading
         ForeColor       =   &H00000000&
         Height          =   2085
         Left            =   150
         Outline         =   -1  'True
         TabIndex        =   5
         Top             =   690
         Width           =   6405
         Begin ListBox s_source_list 
            BackColor       =   &H00FFFFFF&
            DragIcon        =   SOURCES.FRX:0000
            FontBold        =   0   'False
            FontItalic      =   0   'False
            FontName        =   "Terminal"
            FontSize        =   9
            FontStrikethru  =   0   'False
            FontUnderline   =   0   'False
            Height          =   2010
            Left            =   30
            TabIndex        =   6
            Tag             =   "S_SRC"
            Top             =   30
            Width           =   6345
         End
      End
   End
   Begin SSPanel Panel3D1 
      Align           =   1  'Align Top
      Alignment       =   6  'Center - TOP
      BackColor       =   &H00C0C0C0&
      Caption         =   "Sources Included In Current Searches"
      Font3D          =   0  'None
      ForeColor       =   &H00000000&
      Height          =   2475
      Left            =   0
      Outline         =   -1  'True
      TabIndex        =   1
      Top             =   0
      Width           =   7845
      Begin CommandButton remove_all 
         Caption         =   "Remove All"
         Height          =   375
         Left            =   6600
         TabIndex        =   10
         Top             =   1050
         Width           =   1125
      End
      Begin SSPanel Panel3D3 
         Alignment       =   6  'Center - TOP
         BackColor       =   &H00C0C0C0&
         BevelOuter      =   1  'Inset
         Caption         =   "Panel3D3"
         Font3D          =   1  'Raised w/light shading
         ForeColor       =   &H00000000&
         Height          =   2085
         Left            =   150
         Outline         =   -1  'True
         TabIndex        =   3
         Top             =   270
         Width           =   6375
         Begin ListBox source_list 
            BackColor       =   &H00FFFFFF&
            DragIcon        =   SOURCES.FRX:0302
            FontBold        =   0   'False
            FontItalic      =   0   'False
            FontName        =   "Terminal"
            FontSize        =   9
            FontStrikethru  =   0   'False
            FontUnderline   =   0   'False
            Height          =   2010
            Left            =   30
            TabIndex        =   4
            Tag             =   "SRC"
            Top             =   30
            Width           =   6315
         End
      End
   End
   Begin CommandButton add_done 
      Caption         =   "Done"
      Height          =   375
      Left            =   3390
      TabIndex        =   0
      Top             =   5490
      Width           =   1095
   End
End

Sub add_all_Click ()

    If s_source_list.ListCount = 0 Then
      Exit Sub
    End If

    sv = s_source_listindex
    For x = 0 To s_source_list.ListCount - 1
      s_source_list.ListIndex = x
      s_source_list_dblclick
    Next x
    s_source_list.ListIndex = sv

End Sub

Sub add_done_Click ()

    sources_form.Hide

End Sub

Sub Form_Activate ()
    
    load_group_list sources_form, READONLY
    load_source_group

End Sub

Sub Form_DragDrop (source As Control, x As Single, Y As Single)
    
    If source.Tag = "SRC" Then
        source_list_dblclick
    End If

End Sub

Sub Form_Paint ()
    
    mousepointer = DEFAULT

End Sub

Sub Form_Unload (cancel As Integer)

    sources_form.Hide
    cancel = 1

End Sub

Sub remove_all_Click ()
    
    source_list.Clear
    
End Sub

Sub s_source_list_dblclick ()

    Dim x As Integer
    Dim src As Integer
    Dim ssrc As Integer
    
    If s_source_list.ListIndex > -1 Then

      src = sources_form.source_list.ListCount
      ssrc = s_source_list.ListIndex

      For x = 0 To src - 1
        If src_port(x) = s_port(ssrc) And src_service(x) = s_service(ssrc) And src_database(x) = s_database(ssrc) Then
          Exit Sub
        End If
      Next x

      src_port(src) = s_port(ssrc)
      src_service(src) = s_service(ssrc)
      src_database(src) = s_database(ssrc)
      sources_form.source_list.AddItem s_source_list.Text
    
    End If

End Sub

Sub s_source_list_DragDrop (source As Control, x As Single, Y As Single)

    If source.Tag = "SRC" Then
        source_list_dblclick
    End If

End Sub

Sub s_source_list_KeyPress (keyascii As Integer)

    If keyascii = 13 Then
        s_source_list_dblclick
        keyascii = 0
    End If

End Sub

Sub s_source_list_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)

    If s_source_list.ListIndex > -1 Then
        s_source_list.Drag 1
    Else
        s_source_list.Drag 0
    End If

End Sub

Sub s_source_list_MouseUp (Button As Integer, Shift As Integer, x As Single, Y As Single)

    s_source_list.Drag 0

End Sub

Sub source_groups_Click ()
    
    switch_source_group

End Sub

Sub source_groups_KeyPress (keyascii As Integer)
  
  If keyascii = 13 Then
    switch_source_group
    keyascii = 0
  End If

End Sub

Sub source_groups_LostFocus ()

    switch_source_group

End Sub

Sub source_list_dblclick ()

    Dim x As Integer

    If sources_form.source_list.ListIndex > -1 Then
        
        For x = sources_form.source_list.ListIndex To sources_form.source_list.ListCount
            src_port(x) = src_port(x + 1)
            src_service(x) = src_service(x + 1)
            src_database(x) = src_database(x + 1)
        Next x
        
        sources_form.source_list.RemoveItem sources_form.source_list.ListIndex
    Else
        MsgBox "You haven't selected a source to delete", MB_INFO
    End If



End Sub

Sub source_list_DragDrop (source As Control, x As Single, Y As Single)

    If source.Tag = "S_SRC" Then
        s_source_list_dblclick
    End If

End Sub

Sub source_list_KeyPress (keyascii As Integer)
    
    If keyascii = 13 Then
        source_list_dblclick
        keyascii = 0
    End If

End Sub

Sub source_list_MouseDown (Button As Integer, Shift As Integer, x As Single, Y As Single)

    If source_list.ListIndex > -1 Then
        source_list.Drag 1
    Else
        source_list.Drag 0
    End If

End Sub

Sub source_list_MouseUp (Button As Integer, Shift As Integer, x As Single, Y As Single)

    source_list.Drag 0

End Sub

Sub switch_source_group ()
    
    If source_groups.Text = "" Then
      MsgBox ("Please enter a NEW or EXISTING source group name")
      Exit Sub
    End If
    
    If source_groups.Text <> current_group Then
      save_source_group
      current_group = UCase$(source_groups.Text)
      sources_are_loaded = False
      load_source_group
    End If

End Sub

