/* CONFIGURATION FILE FOR THE GN PACKAGE (vers 1.0) */

/*
 * Enter your fully qualified host name here
 */

#define HOSTNAME	"your.host.edu"

/*
 * Enter the complete path of your root data directory here.
 */
#define ROOT_DIR	"/root/dir/path"

/*
 * The ROOT_MENU_NAME set below is used as a <title> and heading
 * <h2> for the root menu in HTTP transactions.  It has no effect
 * on gopher transactions.  Just make it something descriptive of
 * your server.
 */
#define ROOT_MENU_NAME	"GN --  A Gopher/HTTP Server"

/*
 * If you wish to run at a different port than 70, edit this line.
 */
#define DEFAULTPORT	"70"

/*
 * If you wish you can change the following defaults.
 */

#define ACCESSFNAME	".access"

#define CACHEFNAME	".cache"

#define MENUFNAME	"menu"

#define MAXDEPTH	(10)    /* maximum depth of menus */

#define DECOMPRESS	"/usr/net/bin/zcat"

#define TIMEOUT (300)		/* Time in seconds to wait before timeout */
				/* Five minutes should be adequate	*/

