/* WIDE AREA INFORMATION SERVER SOFTWARE
   No guarantees or restrictions.  See the readme file for the full standard
   disclaimer.

   3.26.90      Harry Morris, morris@think.com
*/

/*----------------------------------------------------------------------*/
/* This code implements a simple Z39.50+WAIS server, which consults a
   local database useing Brewster's search engine.  The main routine is
   interpret_buffer() which reads the contents of a receive buffer, and
   writes results back to a send buffer.
 */
/*----------------------------------------------------------------------*/

#ifndef IR_H
#define IR_H

#include "cdialect.h"

long next_doc _AP((char* dest, char* docID, database* db));

long interpret_buffer _AP((char* receiveBuffer,long receiveBufLen,
                           char* sendBuffer,long sendBufLen,
                           long* maxBufferSize,
                           long waisProtocolVersion,
                           char *index_directory));

#endif /* ndef IR_H */




