/*
*	Definitions for WATTCP error codes.
*/

#define SUCCESS		0
#define ER_MAP		1
#define ER_CALLBACK	2
#define ER_DOSALLOC	3
#define ER_CONF		4
#define ER_PINGNET	5
#define ER_RESOLVE	6
#define ER_PKTDINIT	7
#define ER_NOPKTD	8
#define ER_PKTDTYPE	9
#define ER_PKTDACCESS	10
#define ER_ETHADDR	11
#define ER_PKTDRELSE	12
extern char *error_msgs[];

#ifdef DECLARE_STRINGS
char *error_msgs[] = {
	"No error",
	"Can't map in low memory.",
	"Can't create callback address",
	"Can't map/alloc DOS memory.",
	"Can't configure.",
	"Cannot ping a network!",
	"Cannot resolve host's hardware address.",
	"Error initializing packet driver.",
	"No packet driver found.",
	"Only ethernet packet drivers allowed.",
	"Error accessing packet type.",
	"Error reading ethernet address.",
	"Error releasing packet type."
};
#endif
